Package Details: qgroundcontrol-git r16572.c24029938-1

Git Clone URL: https://aur.archlinux.org/qgroundcontrol-git.git (read-only, click to copy)
Package Base: qgroundcontrol-git
Description: Micro air vehicle ground control station.
Upstream URL: https://github.com/mavlink/qgroundcontrol
Licenses: GPL3
Submitter: zvyn
Maintainer: pryre
Last Packager: pryre
Votes: 8
Popularity: 0.000000
First Submitted: 2014-02-07 03:20
Last Updated: 2020-05-15 23:35

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

zvyn commented on 2016-02-13 08:18

anselmolsm: I disowned it, thanks for taking over!

anselmolsm commented on 2016-02-09 14:14

zvyn: Yep, I can maintain this. Tks.

zvyn commented on 2016-02-09 08:48

anselmolsm: Thanks for helping others to build this!
I actually don't use this anymore. Do you want to take over?

I'll try and fix it at some point if not (but it's not my highest priority at the moment) :)

ODEtomaths commented on 2016-02-08 23:06

Just confirming that the changes mentioned by anselmolsm worked for me perfectly.

anselmolsm commented on 2015-12-28 16:00

QGroundControl requires a shadow build, i.e., it requires a separate directory for the build.
The current PKGBUILD needs small changes:

diff --git a/PKGBUILD b/PKGBUILD
index 76c814e..41a8c6d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -38,13 +38,14 @@ build() {

cd "$srcdir/$_gitname-build"
git submodule init && git submodule update
- qmake qgroundcontrol.pro
+ mkdir build && cd build
+ qmake ../qgroundcontrol.pro
make
}

package() {
mkdir -p "${pkgdir}/opt" "${pkgdir}/usr/bin"
- cp -R "$srcdir/$_gitname-build/release" "${pkgdir}/opt/qgroundcontrol"
+ cp -R "$srcdir/$_gitname-build/build/release" "${pkgdir}/opt/qgroundcontrol"
cat <<EndOfFile > "${pkgdir}/usr/bin/qgroundcontrol"
#!/bin/bash
cd /opt/qgroundcontrol/

ODEtomaths commented on 2015-11-24 21:42

When I try to build this it returns "Project ERROR: You must use a shadow build." Thoughts?

marauder commented on 2015-06-03 15:54

Also, the PKGBUILD seems to be using ssh to pull the packages from github and this seems to always fail as not everyone has acess to it. Changing to http way to pull the packages seems to fix it.

zvyn commented on 2015-06-02 23:34

fixed it, thanks marauder

marauder commented on 2015-06-02 20:48

@zvyn, Yeah installing qt5-quickcontrols seems to fix that particular problem. Can you fix the PKGBUILD to reflect this?

zvyn commented on 2015-03-10 03:12

Hey freaks,

I'd bet there is a dependencie missing. Does it work after installing qt5-quickcontrols (from the extra repo)?

If so please let me know so I can fix the PKGBUILD :)